Subject: bug#62376: 30.0.50; global-display-fill-column-indicator-modes broken?

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Mar 2023 11:39:03 +0200

> Cc: [email-masked], [email-masked], [email-masked]
> Date: Thu, 23 Mar 2023 11:04:48 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: Stefan Monnier <[email-masked]>
> > Cc: Rudolf Adamkovič <[email-masked]>,  Lars Ingebrigtsen
> >  <[email-masked]>,
> >   [email-masked]
> > Date: Wed, 22 Mar 2023 13:52:50 -0400
> > 
> > >> So, today I customized the
> > >> 
> > >> > global-display-fill-column-indicator-modes
> > >> 
> > >> variable, and it does not work.
> > 
> > I think it's a thinko in the code: we define the variable but the code
> > hardcode the var's default value instead of looking up the variable's
> > actual value.
> > 
> > The patch below should fix it.
> 
> Thanks, I verified that this fixes the bug, and installed it on the
> emacs-29 branch.

Hmm... but "C-h v" still tells me the variable is defined in
loaddefs.el, until display-fill-column-indicator.el is loaded.  Can we
do anything to prevent this?